Blackboard Learn 9.1 Q4 2016 System Requirements

The following minimum hardware and software requirements are necessary to access an online course:

Hardware Minimum Requirements

  • A PC or Mac with at least 2.0GB of RAM
  • High speed internet connection (DSL or Cable Broadband) is recommended
  • 3G & 4G Mobile connections not recommended when taking tests
  • A webcam, a microphone and speakers may be required; refer to individual course requirements

Operating Systems & Plugins

  • Windows 7 or higher, Mac OS 10.8 or higher, Chrome OS (Chromebook (Chrome browser; features requiring NPAPI plug-ins are not supported))
  • JAVA Runtime Environment (JRE) versions 7 and 8 are the recommended versions (Download the JRE)
    • JRE is only required in order to use certain Blackboard features, such as multiple-file uploads, virtual classroom tools, meeting room and Blackboard collaborate
    • JRE version 6 may work, but could result in unexpected behavior. Oracle has acknowledged some security issues with JRE version 6.
  • Adobe Flash Player (Download Adobe Flash Player)
    • Flash Player is only required in order to view web-based media, such as YouTube videos.

Web Browsers

Blackboard Learn supports five primary web browsers:

  • Chrome 36+
  • Edge 20+
  • Firefox 31+
  • Internet Explorer 11+ (Windows only)
  • Safari 6+ (Mac OS only)

*Mobile app versions of these browsers are not supported at this time, although users may have success using them.

Please Note: Mobile browsers, such as the Safari browser for iPad, are not officially compatible with Blackboard. Participation in Blackboard courses requires access to a fully supported laptop or desktop computer.

Additional details about these supported web browsers are available at Blackboard's Student Help Website

Visit the Blackboard Browser Check Tool to verify your browsers' and plugins' compatibility with the Blackboard System

Technologies Not Supported

The following technologies are not supported in Q4 2015:

  • Windows XP
  • Windows, Mac OS, and Linux systems not running a supported browser
  • Internet Explorer versions 10 and lower which are no longer supported by Microsoft; Internet Explorer on mobile devices
  • Firefox versions 30 and lower on desktop; all Firefox versions on mobile devices
  • Chrome versions 35 and lower (version 34 and lower on mobile devices)
  • Safari versions 5 and lower
  • JRE 5 for Blackboard Learn Original user interfaces